<?php
// source: /var/app/config/common.neon
// source: /var/app/config/local.neon
// source: array

/** @noinspection PhpParamsInspection,PhpMethodMayBeStaticInspection */

declare(strict_types=1);

class Container_349073e43b extends Nette\DI\Container
{
	protected $tags = [
		'nette.inject' => [
			'01' => true,
			'application.1' => true,
			'application.2' => true,
			'application.3' => true,
			'application.4' => true,
			'application.5' => true,
		],
	];

	protected $types = ['container' => 'Nette\DI\Container'];

	protected $aliases = [
		'application' => 'application.application',
		'cacheStorage' => 'cache.storage',
		'database.disertation_olmp1' => 'database.disertation_olmp1.connection',
		'database.disertation_olmp2' => 'database.disertation_olmp2.connection',
		'database.disertation_struc1' => 'database.disertation_struc1.connection',
		'database.disertation_struc2' => 'database.disertation_struc2.connection',
		'httpRequest' => 'http.request',
		'httpResponse' => 'http.response',
		'nette.cacheJournal' => 'cache.journal',
		'nette.database.disertation_olmp1' => 'database.disertation_olmp1',
		'nette.database.disertation_olmp1.context' => 'database.disertation_olmp1.context',
		'nette.database.disertation_olmp2' => 'database.disertation_olmp2',
		'nette.database.disertation_olmp2.context' => 'database.disertation_olmp2.context',
		'nette.database.disertation_struc1' => 'database.disertation_struc1',
		'nette.database.disertation_struc1.context' => 'database.disertation_struc1.context',
		'nette.database.disertation_struc2' => 'database.disertation_struc2',
		'nette.database.disertation_struc2.context' => 'database.disertation_struc2.context',
		'nette.httpRequestFactory' => 'http.requestFactory',
		'nette.latteFactory' => 'latte.latteFactory',
		'nette.mailer' => 'mail.mailer',
		'nette.presenterFactory' => 'application.presenterFactory',
		'nette.templateFactory' => 'latte.templateFactory',
		'nette.userStorage' => 'security.userStorage',
		'router' => 'routing.router',
		'session' => 'session.session',
		'user' => 'security.user',
	];

	protected $wiring = [
		'Nette\DI\Container' => [['container']],
		'Nette\Application\Application' => [['application.application']],
		'Nette\Application\IPresenterFactory' => [['application.presenterFactory']],
		'Nette\Application\LinkGenerator' => [['application.linkGenerator']],
		'Nette\Caching\Storages\IJournal' => [['cache.journal']],
		'Nette\Caching\IStorage' => [['cache.storage']],
		'Nette\Database\Connection' => [
			0 => ['database.disertation_struc1.connection'],
			2 => [
				1 => 'database.disertation_olmp1.connection',
				'database.disertation_struc2.connection',
				'database.disertation_olmp2.connection',
			],
		],
		'Nette\Database\IStructure' => [
			0 => ['database.disertation_struc1.structure'],
			2 => [
				1 => 'database.disertation_olmp1.structure',
				'database.disertation_struc2.structure',
				'database.disertation_olmp2.structure',
			],
		],
		'Nette\Database\Structure' => [
			0 => ['database.disertation_struc1.structure'],
			2 => [
				1 => 'database.disertation_olmp1.structure',
				'database.disertation_struc2.structure',
				'database.disertation_olmp2.structure',
			],
		],
		'Nette\Database\IConventions' => [
			0 => ['database.disertation_struc1.conventions'],
			2 => [
				1 => 'database.disertation_olmp1.conventions',
				'database.disertation_struc2.conventions',
				'database.disertation_olmp2.conventions',
			],
		],
		'Nette\Database\Conventions\DiscoveredConventions' => [
			0 => ['database.disertation_struc1.conventions'],
			2 => [
				1 => 'database.disertation_olmp1.conventions',
				'database.disertation_struc2.conventions',
				'database.disertation_olmp2.conventions',
			],
		],
		'Nette\Database\Context' => [
			0 => ['database.disertation_struc1.context'],
			2 => [
				1 => 'database.disertation_olmp1.context',
				'database.disertation_struc2.context',
				'database.disertation_olmp2.context',
			],
		],
		'Nette\Http\RequestFactory' => [['http.requestFactory']],
		'Nette\Http\IRequest' => [['http.request']],
		'Nette\Http\Request' => [['http.request']],
		'Nette\Http\IResponse' => [['http.response']],
		'Nette\Http\Response' => [['http.response']],
		'Nette\Bridges\ApplicationLatte\ILatteFactory' => [['latte.latteFactory']],
		'Nette\Application\UI\ITemplateFactory' => [['latte.templateFactory']],
		'Nette\Mail\Mailer' => [['mail.mailer']],
		'Nette\Routing\RouteList' => [['routing.router']],
		'Nette\Routing\Router' => [['routing.router']],
		'Nette\Application\IRouter' => [['routing.router']],
		'ArrayAccess' => [2 => ['routing.router', '01', 'application.1', 'application.3']],
		'Countable' => [2 => ['routing.router']],
		'IteratorAggregate' => [2 => ['routing.router']],
		'Traversable' => [2 => ['routing.router']],
		'Nette\Application\Routers\RouteList' => [['routing.router']],
		'Nette\Security\Passwords' => [['security.passwords']],
		'Nette\Security\IUserStorage' => [['security.userStorage']],
		'Nette\Security\User' => [['security.user']],
		'Nette\Http\Session' => [['session.session']],
		'Tracy\ILogger' => [['tracy.logger']],
		'Tracy\BlueScreen' => [['tracy.blueScreen']],
		'Tracy\Bar' => [['tracy.bar']],
		'Nette\Application\UI\Presenter' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\Application\UI\Control' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\Application\UI\Component' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\ComponentModel\Container' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\ComponentModel\Component' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\Application\IPresenter' => [
			2 => ['01', 'application.1', 'application.2', 'application.3', 'application.4', 'application.5'],
		],
		'Nette\Application\UI\IStatePersistent' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\Application\UI\ISignalReceiver' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\ComponentModel\IComponent' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\ComponentModel\IContainer' => [2 => ['01', 'application.1', 'application.3']],
		'Nette\Application\UI\IRenderable' => [2 => ['01', 'application.1', 'application.3']],
		'App\Presenters\BasePresenter' => [2 => ['01', 'application.3']],
		'App\Model\BaseManager' => [['02', '03', '04', '05']],
		'App\Model\StrucManager' => [['02']],
		'App\Model\OlmpManager' => [['03']],
		'App\Model\StrucManager2' => [['04']],
		'App\Model\OlmpManager2' => [['05']],
		'App\Presenters\Error4xxPresenter' => [2 => ['application.1']],
		'App\Presenters\ErrorPresenter' => [2 => ['application.2']],
		'App\Presenters\HomepagePresenter' => [2 => ['application.3']],
		'NetteModule\ErrorPresenter' => [2 => ['application.4']],
		'NetteModule\MicroPresenter' => [2 => ['application.5']],
	];


	public function __construct(array $params = [])
	{
		parent::__construct($params);
		$this->parameters += [
			'appDir' => '/var/app',
			'wwwDir' => '/var/www',
			'vendorDir' => '/var/vendor',
			'debugMode' => true,
			'productionMode' => false,
			'consoleMode' => false,
			'tempDir' => '/var/app/../temp',
		];
	}


	public function createService01(): App\Presenters\BasePresenter
	{
		$service = new App\Presenters\BasePresenter;
		$service->injectPrimary(
			$this,
			$this->getService('application.presenterFactory'),
			$this->getService('routing.router'),
			$this->getService('http.request'),
			$this->getService('http.response'),
			$this->getService('session.session'),
			$this->getService('security.user'),
			$this->getService('latte.templateFactory')
		);
		$service->invalidLinkMode = 5;
		return $service;
	}


	public function createService02(): App\Model\StrucManager
	{
		return new App\Model\StrucManager($this->getService('database.disertation_struc1.context'));
	}


	public function createService03(): App\Model\OlmpManager
	{
		return new App\Model\OlmpManager($this->getService('database.disertation_olmp1.context'));
	}


	public function createService04(): App\Model\StrucManager2
	{
		return new App\Model\StrucManager2($this->getService('database.disertation_struc2.context'));
	}


	public function createService05(): App\Model\OlmpManager2
	{
		return new App\Model\OlmpManager2($this->getService('database.disertation_olmp2.context'));
	}


	public function createServiceApplication__1(): App\Presenters\Error4xxPresenter
	{
		$service = new App\Presenters\Error4xxPresenter;
		$service->injectPrimary(
			$this,
			$this->getService('application.presenterFactory'),
			$this->getService('routing.router'),
			$this->getService('http.request'),
			$this->getService('http.response'),
			$this->getService('session.session'),
			$this->getService('security.user'),
			$this->getService('latte.templateFactory')
		);
		$service->invalidLinkMode = 5;
		return $service;
	}


	public function createServiceApplication__2(): App\Presenters\ErrorPresenter
	{
		return new App\Presenters\ErrorPresenter($this->getService('tracy.logger'));
	}


	public function createServiceApplication__3(): App\Presenters\HomepagePresenter
	{
		$service = new App\Presenters\HomepagePresenter(
			$this->getService('02'),
			$this->getService('03'),
			$this->getService('04'),
			$this->getService('05')
		);
		$service->injectPrimary(
			$this,
			$this->getService('application.presenterFactory'),
			$this->getService('routing.router'),
			$this->getService('http.request'),
			$this->getService('http.response'),
			$this->getService('session.session'),
			$this->getService('security.user'),
			$this->getService('latte.templateFactory')
		);
		$service->invalidLinkMode = 5;
		return $service;
	}


	public function createServiceApplication__4(): NetteModule\ErrorPresenter
	{
		return new NetteModule\ErrorPresenter($this->getService('tracy.logger'));
	}


	public function createServiceApplication__5(): NetteModule\MicroPresenter
	{
		return new NetteModule\MicroPresenter($this, $this->getService('http.request'), $this->getService('routing.router'));
	}


	public function createServiceApplication__application(): Nette\Application\Application
	{
		$service = new Nette\Application\Application(
			$this->getService('application.presenterFactory'),
			$this->getService('routing.router'),
			$this->getService('http.request'),
			$this->getService('http.response')
		);
		$service->catchExceptions = false;
		$service->errorPresenter = 'Error';
		Nette\Bridges\ApplicationTracy\RoutingPanel::initializePanel($service);
		$this->getService('tracy.bar')->addPanel(new Nette\Bridges\ApplicationTracy\RoutingPanel(
			$this->getService('routing.router'),
			$this->getService('http.request'),
			$this->getService('application.presenterFactory')
		));
		return $service;
	}


	public function createServiceApplication__linkGenerator(): Nette\Application\LinkGenerator
	{
		return new Nette\Application\LinkGenerator(
			$this->getService('routing.router'),
			$this->getService('http.request')->getUrl()->withoutUserInfo(),
			$this->getService('application.presenterFactory')
		);
	}


	public function createServiceApplication__presenterFactory(): Nette\Application\IPresenterFactory
	{
		$service = new Nette\Application\PresenterFactory(new Nette\Bridges\ApplicationDI\PresenterFactoryCallback($this, 5, '/var/app/../temp/cache/nette.application/touch'));
		$service->setMapping(['*' => 'App\*Module\Presenters\*Presenter']);
		return $service;
	}


	public function createServiceCache__journal(): Nette\Caching\Storages\IJournal
	{
		return new Nette\Caching\Storages\SQLiteJournal('/var/app/../temp/cache/journal.s3db');
	}


	public function createServiceCache__storage(): Nette\Caching\IStorage
	{
		return new Nette\Caching\Storages\FileStorage('/var/app/../temp/cache', $this->getService('cache.journal'));
	}


	public function createServiceContainer(): Container_349073e43b
	{
		return $this;
	}


	public function createServiceDatabase__disertation_olmp1__connection(): Nette\Database\Connection
	{
		$service = new Nette\Database\Connection(
			'mysql:host=db;dbname=disertation_olmp1;port=3306',
			'root',
			'rootpassword',
			['lazy' => true]
		);
		$this->getService('tracy.blueScreen')->addPanel(['Nette\Bridges\DatabaseTracy\ConnectionPanel', 'renderException']);
		Nette\Database\Helpers::createDebugPanel($service, true, 'disertation_olmp1');
		return $service;
	}


	public function createServiceDatabase__disertation_olmp1__context(): Nette\Database\Context
	{
		return new Nette\Database\Context(
			$this->getService('database.disertation_olmp1.connection'),
			$this->getService('database.disertation_olmp1.structure'),
			$this->getService('database.disertation_olmp1.conventions'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_olmp1__conventions(): Nette\Database\Conventions\DiscoveredConventions
	{
		return new Nette\Database\Conventions\DiscoveredConventions($this->getService('database.disertation_olmp1.structure'));
	}


	public function createServiceDatabase__disertation_olmp1__structure(): Nette\Database\Structure
	{
		return new Nette\Database\Structure(
			$this->getService('database.disertation_olmp1.connection'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_olmp2__connection(): Nette\Database\Connection
	{
		$service = new Nette\Database\Connection(
			'mysql:host=db;dbname=disertation_olmp2;port=3306',
			'root',
			'rootpassword',
			['lazy' => true]
		);
		$this->getService('tracy.blueScreen')->addPanel(['Nette\Bridges\DatabaseTracy\ConnectionPanel', 'renderException']);
		Nette\Database\Helpers::createDebugPanel($service, true, 'disertation_olmp2');
		return $service;
	}


	public function createServiceDatabase__disertation_olmp2__context(): Nette\Database\Context
	{
		return new Nette\Database\Context(
			$this->getService('database.disertation_olmp2.connection'),
			$this->getService('database.disertation_olmp2.structure'),
			$this->getService('database.disertation_olmp2.conventions'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_olmp2__conventions(): Nette\Database\Conventions\DiscoveredConventions
	{
		return new Nette\Database\Conventions\DiscoveredConventions($this->getService('database.disertation_olmp2.structure'));
	}


	public function createServiceDatabase__disertation_olmp2__structure(): Nette\Database\Structure
	{
		return new Nette\Database\Structure(
			$this->getService('database.disertation_olmp2.connection'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_struc1__connection(): Nette\Database\Connection
	{
		$service = new Nette\Database\Connection(
			'mysql:host=db;dbname=disertation_struc1;port=3306',
			'root',
			'rootpassword',
			['lazy' => true]
		);
		$this->getService('tracy.blueScreen')->addPanel(['Nette\Bridges\DatabaseTracy\ConnectionPanel', 'renderException']);
		Nette\Database\Helpers::createDebugPanel($service, true, 'disertation_struc1');
		return $service;
	}


	public function createServiceDatabase__disertation_struc1__context(): Nette\Database\Context
	{
		return new Nette\Database\Context(
			$this->getService('database.disertation_struc1.connection'),
			$this->getService('database.disertation_struc1.structure'),
			$this->getService('database.disertation_struc1.conventions'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_struc1__conventions(): Nette\Database\Conventions\DiscoveredConventions
	{
		return new Nette\Database\Conventions\DiscoveredConventions($this->getService('database.disertation_struc1.structure'));
	}


	public function createServiceDatabase__disertation_struc1__structure(): Nette\Database\Structure
	{
		return new Nette\Database\Structure(
			$this->getService('database.disertation_struc1.connection'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_struc2__connection(): Nette\Database\Connection
	{
		$service = new Nette\Database\Connection(
			'mysql:host=db;dbname=disertation_struc2;port=3306',
			'root',
			'rootpassword',
			['lazy' => true]
		);
		$this->getService('tracy.blueScreen')->addPanel(['Nette\Bridges\DatabaseTracy\ConnectionPanel', 'renderException']);
		Nette\Database\Helpers::createDebugPanel($service, true, 'disertation_struc2');
		return $service;
	}


	public function createServiceDatabase__disertation_struc2__context(): Nette\Database\Context
	{
		return new Nette\Database\Context(
			$this->getService('database.disertation_struc2.connection'),
			$this->getService('database.disertation_struc2.structure'),
			$this->getService('database.disertation_struc2.conventions'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceDatabase__disertation_struc2__conventions(): Nette\Database\Conventions\DiscoveredConventions
	{
		return new Nette\Database\Conventions\DiscoveredConventions($this->getService('database.disertation_struc2.structure'));
	}


	public function createServiceDatabase__disertation_struc2__structure(): Nette\Database\Structure
	{
		return new Nette\Database\Structure(
			$this->getService('database.disertation_struc2.connection'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceHttp__request(): Nette\Http\Request
	{
		return $this->getService('http.requestFactory')->fromGlobals();
	}


	public function createServiceHttp__requestFactory(): Nette\Http\RequestFactory
	{
		$service = new Nette\Http\RequestFactory;
		$service->setProxy([]);
		return $service;
	}


	public function createServiceHttp__response(): Nette\Http\Response
	{
		return new Nette\Http\Response;
	}


	public function createServiceLatte__latteFactory(): Nette\Bridges\ApplicationLatte\ILatteFactory
	{
		return new class ($this) implements Nette\Bridges\ApplicationLatte\ILatteFactory {
			private $container;


			public function __construct(Container_349073e43b $container)
			{
				$this->container = $container;
			}


			public function create(): Latte\Engine
			{
				$service = new Latte\Engine;
				$service->setTempDirectory('/var/app/../temp/cache/latte');
				$service->setAutoRefresh();
				$service->setContentType('html');
				Nette\Utils\Html::$xhtml = false;
				return $service;
			}
		};
	}


	public function createServiceLatte__templateFactory(): Nette\Application\UI\ITemplateFactory
	{
		return new Nette\Bridges\ApplicationLatte\TemplateFactory(
			$this->getService('latte.latteFactory'),
			$this->getService('http.request'),
			$this->getService('security.user'),
			$this->getService('cache.storage')
		);
	}


	public function createServiceMail__mailer(): Nette\Mail\Mailer
	{
		return new Nette\Mail\SendmailMailer;
	}


	public function createServiceRouting__router(): Nette\Application\Routers\RouteList
	{
		return App\Router\RouterFactory::createRouter();
	}


	public function createServiceSecurity__passwords(): Nette\Security\Passwords
	{
		return new Nette\Security\Passwords;
	}


	public function createServiceSecurity__user(): Nette\Security\User
	{
		$service = new Nette\Security\User($this->getService('security.userStorage'));
		$this->getService('tracy.bar')->addPanel(new Nette\Bridges\SecurityTracy\UserPanel($service));
		return $service;
	}


	public function createServiceSecurity__userStorage(): Nette\Security\IUserStorage
	{
		return new Nette\Http\UserStorage($this->getService('session.session'));
	}


	public function createServiceSession__session(): Nette\Http\Session
	{
		$service = new Nette\Http\Session($this->getService('http.request'), $this->getService('http.response'));
		$service->setExpiration('14 days');
		return $service;
	}


	public function createServiceTracy__bar(): Tracy\Bar
	{
		return Tracy\Debugger::getBar();
	}


	public function createServiceTracy__blueScreen(): Tracy\BlueScreen
	{
		return Tracy\Debugger::getBlueScreen();
	}


	public function createServiceTracy__logger(): Tracy\ILogger
	{
		return Tracy\Debugger::getLogger();
	}


	public function initialize()
	{
		// di.
		(function () {
			$this->getService('tracy.bar')->addPanel(new Nette\Bridges\DITracy\ContainerPanel($this));
		})();
		(function () {
			$response = $this->getService('http.response');
			$response->setHeader('X-Powered-By', 'Nette Framework 3');
			$response->setHeader('Content-Type', 'text/html; charset=utf-8');
			$response->setHeader('X-Frame-Options', 'SAMEORIGIN');
			$response->setCookie('nette-samesite', '1', 0, '/', null, null, true, 'Strict');
		})();
		$this->getService('session.session')->exists() && $this->getService('session.session')->start();
		Tracy\Debugger::getLogger()->mailer = [new Tracy\Bridges\Nette\MailSender($this->getService('mail.mailer')), 'send'];
		$this->getService('session.session')->start();
		Tracy\Debugger::dispatch();
	}
}
